//
//  NSBezierPath-Gradient.h
//  Transmit
//
//  Created by Wade Cosgrove on 4/9/09.
//  Copyright 2009 Panic Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>

#if !TARGET_OS_IPHONE
#import <AppKit/AppKit.h>

@interface NSBezierPath (Gradient)

// allows the gradient to be a sub-rect of the path's bounds. Useful for rounded rectangles that lie on half pixel bounderies.
- (void)strokeGradient:(NSGradient*)gradient inPathRect:(NSRect)rect angle:(CGFloat)angle;

// stokes the path of the bezier path using the bounds as the gradient rect
- (void)strokeGradient:(NSGradient*)gradient angle:(CGFloat)angle;

// the same as NSGradient drawInBezierPath, but opposite
- (void)fillGradient:(NSGradient*)gradient angle:(CGFloat)angle;


@end
#endif

#import "CKBezierPath.h"

@class CKGradient;

@interface CKBezierPath (Gradient)

// allows the gradient to be a sub-rect of the path's bounds. Useful for rounded rectangles that lie on half pixel bounderies.
- (void)strokeGradient:(CKGradient*)gradient inPathRect:(CGRect)rect angle:(CGFloat)angle;

// stokes the path of the bezier path using the bounds as the gradient rect
- (void)strokeGradient:(CKGradient*)gradient angle:(CGFloat)angle;

// the same as NSGradient drawInBezierPath, but opposite
- (void)fillGradient:(CKGradient*)gradient angle:(CGFloat)angle;


@end
