#import <Cocoa/Cocoa.h>


@interface PCBaseSegmentedControl : NSSegmentedControl
{}

- (void)sizeAllSegmentsEvenlyToFit;
- (void)sizeTextLabelsToFit;

@end


@interface PCBaseSegmentedCell : NSSegmentedCell
{
@private
	NSColor	*_fillColor;
	NSGradient *_selectedFillGradient; // XXX change to gradient, same as PCPathControl
	NSColor	*_bezelColor;
	NSColor	*_selectedBezelColor;
	
	NSColor* 	_textColor;
	NSColor*	_textShadowColor;
	
	BOOL		_showsMenuArrow;
	NSPoint 	_mouseDownPoint;
    NSInteger   _baselineOffset;
	BOOL		_appearanceTintHighlight;
	
	NSRect		_clipRect;
}

@property (nonatomic, retain) NSColor* textColor;
@property (nonatomic, retain) NSColor* textShadowColor;
@property (retain) NSColor* fillColor;
@property (retain) NSColor* bezelColor;
@property (nonatomic, retain) NSGradient* selectedFillGradient;
@property (retain) NSColor* selectedBezelColor;
@property (nonatomic, assign) BOOL	showsMenuArrow;
@property (assign) NSInteger baselineOffset;

- (void)configureDefaultAppearance;

- (NSRect)bezelFrameOfSegment:(NSInteger)segment withInteriorFrame:(NSRect)innerFrame withView:(NSView*)controlView;
- (BOOL)isSegment:(NSInteger)segment highlightedWithFrame:(NSRect)segmentFrame inView:(NSView*)controlView;
- (NSUInteger)segmentAtPoint:(NSPoint)point;

// for subclasses

- (void)drawSegmentBezel:(NSInteger)segment inFrame:(NSRect)frame withView:(NSView*)controlView;
- (void)drawSegmentInterior:(NSInteger)segment inFrame:(NSRect)frame withView:(NSView*)controlView;

@end