#import <Cocoa/Cocoa.h>

typedef enum
{
	kCenter,
	kLeft,
	kRight
} PCBezelWindowAlignment;

@class PCBezelView;

@interface PCBezelWindow : NSWindow <NSAnimationDelegate>
{
@private
	NSTimer *_hideTimer;
	PCBezelView *_bezelView;
	PCBezelWindowAlignment _alignment;
}

@property (nonatomic, assign) PCBezelWindowAlignment alignment;

- (id)initWithImage:(NSImage*)bezelImage;
- (id)initWithAttributedString:(NSAttributedString*)bezelString;
- (id)initWithString:(NSString*)bezelString;

- (IBAction)hide:(id)sender;
- (IBAction)show:(id)sender;
- (void)showAboveWindow:(NSWindow*)window;

- (void)setAttributedStringValue:(NSAttributedString*)aString;
- (void)setImage:(NSImage*)anImage;
- (void)setStringValue:(NSString*)aString;

@end


@interface PCBezelWindow (Internals)
- (void)setup;
- (void)fadeShowWithTimerDelayInterval:(NSTimeInterval)interval;
- (void)updatePositionOnScreenInRect:(NSRect)screenRect;
@end

