#import <Foundation/Foundation.h>
#import <CoreFoundation/CoreFoundation.h>

@interface PCMapTable : NSObject 
{
	CFMutableDictionaryRef iMapTable;
}

+ (PCMapTable*)mapTableWithStrongToStrongObjects;
+ (PCMapTable*)mapTableWithStrongToWeakObjects;

- (id)initMapTableWithStrongToStrongObjects;
- (id)initMapTableWithStrongToWeakObjects;

- (void)addEntriesFromDictionary:(NSDictionary *)otherDictionary;
- (NSUInteger)count;
- (id)objectForKey:(id)aKey;
- (void)setObject:(id)anObject forKey:(id)aKey;
- (void)removeObjectForKey:(id)aKey;
- (void)removeObjectsForKeys:(NSArray*)keys;
- (void)removeAllObjects;
- (NSArray*)allValues;
- (NSArray*)allKeys;
- (id)anyKey;
- (NSEnumerator*)keyEnumerator;
- (NSEnumerator*)objectEnumerator;

@end
