//
//  PCPreferencePane.h
//  PanicCore
//
//  Created by Logan Collins on 2/27/12.
//  Copyright (c) 2012 Panic Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>


/*!
 * @class PCPreferencePane
 * @abstract An individual preference pane
 * 
 * @discussion
 * PCPreferencePane is a subclass of PCViewController that defines a pane
 * managed by a preferences controller.
 */
@interface PCPreferencePane : NSViewController <NSUserInterfaceItemIdentification> {
@private
    NSString *_identifier;
    NSImage *_image;
	BOOL _shouldUpdateCredentials;
    BOOL _resizable;
    NSSize _minSize;
    NSSize _maxSize;
}

@property (copy) NSString *identifier;
@property (strong) NSImage *image;

- (void)viewDidLoad;

- (void)viewWillAppear:(BOOL)animated;
- (void)viewDidAppear:(BOOL)animated;

- (void)viewWillDisappear:(BOOL)animated;
- (void)viewDidDisappear:(BOOL)animated;

@property (getter=isResizable) BOOL resizable;
@property (assign) NSSize minSize;
@property (assign) NSSize maxSize;

@property BOOL shouldUpdateCredentials;

@end
