//
//  PCRemoteRequest.h
//  Coda
//
//  Created by Wade Cosgrove on 10/2/13.
//  Copyright (c) 2013 Panic Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol PCRemoteRequestDelegate;

@interface PCRemoteRequest : NSObject <NSURLConnectionDelegate>
{
	NSURLConnection *_requestConnection;
	NSMutableData *_responseData;
	NSObject <PCRemoteRequestDelegate> *_delegate;
}

- (id)initWithURL:(NSURL*)url delegate:(NSObject <PCRemoteRequestDelegate>*)delegate;
- (id)initWithURL:(NSURL*)url HTTPMethod:(NSString*)method body:(NSData*)body delegate:(NSObject <PCRemoteRequestDelegate>*)delegate;

- (id)initWithURLString:(NSString*)urlString delegate:(NSObject <PCRemoteRequestDelegate>*)delegate;
- (id)initWithURLString:(NSString*)urlString HTTPMethod:(NSString*)method body:(NSData*)body delegate:(NSObject <PCRemoteRequestDelegate>*)delegate;
- (id)initWithURL:(NSURL*)url HTTPMethod:(NSString*)method body:(NSData*)body headers:(NSDictionary*)headers delegate:(NSObject <PCRemoteRequestDelegate>*)delegate;


- (NSMutableData*)responseData;
- (id)jsonResponse; // tries converting response data to json object

- (void)cancel;

@property (assign) NSObject <PCRemoteRequestDelegate> *delegate;


@end

@protocol PCRemoteRequestDelegate <NSObject>

@required
- (void)remoteRequest:(PCRemoteRequest*)request didFinishWithError:(NSError*)error;

@end
