// ****************************** iOS example *****************************
//
//	if ( application.applicationState != UIApplicationStateBackground ) // usually implemented in application:didFinishLaunchingWithOptions:
//	{
//		self.soapBox = [PCSoapBox startSoapBoxRequestWithCompletionHandler:^(PCSoapBox* soapBox, NSError* error) {
//
//			if ( soapBox == self.soapBox )
//			{
//				if ( error == nil || [error code] == 0 )
//				{
//					PCSoapBoxViewController *soapBoxViewController = [[[PCSoapBoxViewController alloc] initWithSoapBoxResponse:soapBox] autorelease];
//					[soapBoxViewController setControlTintColor:[PCColor colorWithRed:0.190 green:0.502 blue:0.878 alpha:1.000]]; // optional, use the application's tintColor
//					[rootViewController presentViewController:soapBoxViewController animated:YES completion:nil];
//				}
//
//				self.soapBox = nil;
//			}
//		}];
//	}
//
//
//
// **************************** OS X example *****************************
//
//	self.soapBox = [PCSoapBox startSoapBoxRequestWithCompletionHandler:^(PCSoapBox* soapBox, NSError* error) {
//
//		if ( soapBox == self.soapBox )
//		{
//			if ( error == nil || [error code] == kNoErr )
//			{
//				self.soapBoxWindowController = [[[PCSoapBoxWindowController alloc] initWithSoapBoxResponse:soapBox] autorelease];
//
//				[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(soapBoxWindowWillClose:) name:NSWindowWillCloseNotification object:[self.soapBoxWindowController window]];
//
//				[self.soapBoxWindowController showWindow:self];
//			}
//
//			self.soapBox = nil;
//		}
//	}];


#import <Foundation/Foundation.h>
#import "PCRemoteRequest.h"

#define PCSoapBoxErrorPresentedResponseID 100
#define PCSoapBoxErrorInvalidResponseURL 101

@class JKDictionary;

@interface PCSoapBox : NSObject <PCRemoteRequestDelegate>
{
	PCRemoteRequest *_request;
	void (^_completionHandler)(PCSoapBox*, NSError *error);
	JKDictionary *_jsonResponse;
}

+ (id)startSoapBoxRequestWithCompletionHandler:(void (^)(PCSoapBox* soapbox, NSError *error))completionHandler;

@property (copy) void (^completionHandler)(PCSoapBox*, NSError *error);

- (id)initWithURL:(NSURL*)url;

- (NSString*)responseAction;	// optional
- (NSString*)responseID;
- (NSURL*)responseURL;

- (NSString*)buttonCaption;		// optional
- (NSURL*)buttonURL;			// optional

@end
