//
//  PCTitleBarTrialView.h
//  PanicCore
//
//  Created by Ian Cely on 11/12/09.
//  Copyright 2009 Panic Inc.. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class PCShadowedTextField;
@class PCTitleBarTrialGradientView;

@interface PCTitleBarTrialView : NSView 
{
@private
	PCTitleBarTrialGradientView* iBackgroundView;
	PCShadowedTextField* iCountdownTextField;
	NSInteger iDaysLeft;
	int iState;
	
	NSGradient* gradientNormal;
	NSGradient* gradientNormalPressed;
	NSGradient* gradientWarning;
	NSGradient* gradientWarningPressed;
	
	NSInteger iWarningThreshold;
	NSURL* iPurchaseURL;
	
	SEL _action;
	id _target;
}

+ (PCTitleBarTrialView*)trialView;

@property (readonly) PCTitleBarTrialGradientView* backgroundView;
@property (nonatomic, retain) NSURL* purchaseURL;
@property (nonatomic) NSInteger daysLeft;
@property (nonatomic) NSInteger warningThreshold;
@property (nonatomic) SEL action;
@property (assign, nonatomic) id target;

@end

@interface PCTitleBarTrialGradientView : PCGradientView
{
    NSColor *iBottomBezelColor;
@private
	NSBezierPath* iClip;
}

@property (copy) NSColor *bottomBezelColor;

- (void)configurePath;

@end